IF NOT EXISTS (SELECT 1 FROM dbo.Parameters WHERE ParameterID = 51)
BEGIN

	Declare @Store Char(4) = (Select '8' + LTRIM(RTRIM(STOR)) From RETOPT Where FKEY = '01')
	Declare @MaxFloatCount Int

	-- Max Float Count Data
	If @Store = '8052' Set @MaxFloatCount = 7
	If @Store = '8053' Set @MaxFloatCount = 5
	If @Store = '8055' Set @MaxFloatCount = 4
	If @Store = '8059' Set @MaxFloatCount = 7
	If @Store = '8061' Set @MaxFloatCount = 5
	If @Store = '8062' Set @MaxFloatCount = 6
	If @Store = '8064' Set @MaxFloatCount = 4
	If @Store = '8065' Set @MaxFloatCount = 5
	If @Store = '8066' Set @MaxFloatCount = 4
	If @Store = '8067' Set @MaxFloatCount = 5
	If @Store = '8071' Set @MaxFloatCount = 3
	If @Store = '8072' Set @MaxFloatCount = 5
	If @Store = '8073' Set @MaxFloatCount = 4
	If @Store = '8074' Set @MaxFloatCount = 5
	If @Store = '8075' Set @MaxFloatCount = 5
	If @Store = '8076' Set @MaxFloatCount = 1
	If @Store = '8077' Set @MaxFloatCount = 4
	If @Store = '8078' Set @MaxFloatCount = 6
	If @Store = '8079' Set @MaxFloatCount = 6
	If @Store = '8080' Set @MaxFloatCount = 5
	If @Store = '8081' Set @MaxFloatCount = 5
	If @Store = '8082' Set @MaxFloatCount = 7
	If @Store = '8083' Set @MaxFloatCount = 7
	If @Store = '8088' Set @MaxFloatCount = 5
	If @Store = '8090' Set @MaxFloatCount = 4
	If @Store = '8091' Set @MaxFloatCount = 7
	If @Store = '8093' Set @MaxFloatCount = 6
	If @Store = '8094' Set @MaxFloatCount = 5
	If @Store = '8096' Set @MaxFloatCount = 5
	If @Store = '8097' Set @MaxFloatCount = 6
	If @Store = '8098' Set @MaxFloatCount = 4
	If @Store = '8120' Set @MaxFloatCount = 1
	If @Store = '8208' Set @MaxFloatCount = 4
	If @Store = '8209' Set @MaxFloatCount = 6
	If @Store = '8214' Set @MaxFloatCount = 4
	If @Store = '8215' Set @MaxFloatCount = 5
	If @Store = '8216' Set @MaxFloatCount = 5
	If @Store = '8218' Set @MaxFloatCount = 5
	If @Store = '8220' Set @MaxFloatCount = 3
	If @Store = '8221' Set @MaxFloatCount = 5
	If @Store = '8222' Set @MaxFloatCount = 6
	If @Store = '8225' Set @MaxFloatCount = 4
	If @Store = '8226' Set @MaxFloatCount = 5
	If @Store = '8227' Set @MaxFloatCount = 4
	If @Store = '8228' Set @MaxFloatCount = 5
	If @Store = '8229' Set @MaxFloatCount = 5
	If @Store = '8230' Set @MaxFloatCount = 6
	If @Store = '8231' Set @MaxFloatCount = 4
	If @Store = '8232' Set @MaxFloatCount = 5
	If @Store = '8233' Set @MaxFloatCount = 5
	If @Store = '8234' Set @MaxFloatCount = 7
	If @Store = '8235' Set @MaxFloatCount = 5
	If @Store = '8236' Set @MaxFloatCount = 5
	If @Store = '8237' Set @MaxFloatCount = 5
	If @Store = '8238' Set @MaxFloatCount = 6
	If @Store = '8239' Set @MaxFloatCount = 5
	If @Store = '8240' Set @MaxFloatCount = 5
	If @Store = '8243' Set @MaxFloatCount = 5
	If @Store = '8245' Set @MaxFloatCount = 5
	If @Store = '8246' Set @MaxFloatCount = 5
	If @Store = '8247' Set @MaxFloatCount = 5
	If @Store = '8248' Set @MaxFloatCount = 3
	If @Store = '8250' Set @MaxFloatCount = 5
	If @Store = '8251' Set @MaxFloatCount = 4
	If @Store = '8252' Set @MaxFloatCount = 5
	If @Store = '8253' Set @MaxFloatCount = 5
	If @Store = '8254' Set @MaxFloatCount = 5
	If @Store = '8255' Set @MaxFloatCount = 4
	If @Store = '8256' Set @MaxFloatCount = 5
	If @Store = '8257' Set @MaxFloatCount = 4
	If @Store = '8258' Set @MaxFloatCount = 3
	If @Store = '8259' Set @MaxFloatCount = 4
	If @Store = '8260' Set @MaxFloatCount = 6
	If @Store = '8261' Set @MaxFloatCount = 5
	If @Store = '8262' Set @MaxFloatCount = 4
	If @Store = '8263' Set @MaxFloatCount = 5
	If @Store = '8264' Set @MaxFloatCount = 5
	If @Store = '8265' Set @MaxFloatCount = 5
	If @Store = '8266' Set @MaxFloatCount = 5
	If @Store = '8267' Set @MaxFloatCount = 5
	If @Store = '8268' Set @MaxFloatCount = 4
	If @Store = '8270' Set @MaxFloatCount = 5
	If @Store = '8271' Set @MaxFloatCount = 5
	If @Store = '8273' Set @MaxFloatCount = 5
	If @Store = '8274' Set @MaxFloatCount = 5
	If @Store = '8275' Set @MaxFloatCount = 5
	If @Store = '8276' Set @MaxFloatCount = 4
	If @Store = '8277' Set @MaxFloatCount = 4
	If @Store = '8278' Set @MaxFloatCount = 5
	If @Store = '8279' Set @MaxFloatCount = 4
	If @Store = '8280' Set @MaxFloatCount = 4
	If @Store = '8281' Set @MaxFloatCount = 5
	If @Store = '8282' Set @MaxFloatCount = 5
	If @Store = '8283' Set @MaxFloatCount = 5
	If @Store = '8284' Set @MaxFloatCount = 3
	If @Store = '8287' Set @MaxFloatCount = 4
	If @Store = '8289' Set @MaxFloatCount = 7
	If @Store = '8290' Set @MaxFloatCount = 6
	If @Store = '8291' Set @MaxFloatCount = 5
	If @Store = '8292' Set @MaxFloatCount = 6
	If @Store = '8293' Set @MaxFloatCount = 5
	If @Store = '8295' Set @MaxFloatCount = 6
	If @Store = '8296' Set @MaxFloatCount = 5
	If @Store = '8297' Set @MaxFloatCount = 7
	If @Store = '8298' Set @MaxFloatCount = 5
	If @Store = '8299' Set @MaxFloatCount = 5
	If @Store = '8301' Set @MaxFloatCount = 5
	If @Store = '8303' Set @MaxFloatCount = 5
	If @Store = '8308' Set @MaxFloatCount = 4
	If @Store = '8309' Set @MaxFloatCount = 4
	If @Store = '8310' Set @MaxFloatCount = 6
	If @Store = '8311' Set @MaxFloatCount = 9
	If @Store = '8312' Set @MaxFloatCount = 6
	If @Store = '8313' Set @MaxFloatCount = 6
	If @Store = '8314' Set @MaxFloatCount = 10
	If @Store = '8316' Set @MaxFloatCount = 8
	If @Store = '8317' Set @MaxFloatCount = 5
	If @Store = '8318' Set @MaxFloatCount = 4
	If @Store = '8319' Set @MaxFloatCount = 5
	If @Store = '8320' Set @MaxFloatCount = 4
	If @Store = '8321' Set @MaxFloatCount = 4
	If @Store = '8322' Set @MaxFloatCount = 8
	If @Store = '8323' Set @MaxFloatCount = 8
	If @Store = '8326' Set @MaxFloatCount = 6
	If @Store = '8327' Set @MaxFloatCount = 5
	If @Store = '8328' Set @MaxFloatCount = 7
	If @Store = '8329' Set @MaxFloatCount = 4
	If @Store = '8330' Set @MaxFloatCount = 5
	If @Store = '8331' Set @MaxFloatCount = 4
	If @Store = '8332' Set @MaxFloatCount = 5
	If @Store = '8334' Set @MaxFloatCount = 8
	If @Store = '8336' Set @MaxFloatCount = 5
	If @Store = '8337' Set @MaxFloatCount = 7
	If @Store = '8338' Set @MaxFloatCount = 8
	If @Store = '8340' Set @MaxFloatCount = 7
	If @Store = '8342' Set @MaxFloatCount = 9
	If @Store = '8343' Set @MaxFloatCount = 4
	If @Store = '8344' Set @MaxFloatCount = 5
	If @Store = '8347' Set @MaxFloatCount = 4
	If @Store = '8348' Set @MaxFloatCount = 8
	If @Store = '8349' Set @MaxFloatCount = 4
	If @Store = '8350' Set @MaxFloatCount = 4
	If @Store = '8351' Set @MaxFloatCount = 5
	If @Store = '8352' Set @MaxFloatCount = 5
	If @Store = '8353' Set @MaxFloatCount = 4
	If @Store = '8354' Set @MaxFloatCount = 4
	If @Store = '8355' Set @MaxFloatCount = 4
	If @Store = '8357' Set @MaxFloatCount = 4
	If @Store = '8359' Set @MaxFloatCount = 4
	If @Store = '8360' Set @MaxFloatCount = 4
	If @Store = '8364' Set @MaxFloatCount = 5
	If @Store = '8365' Set @MaxFloatCount = 5
	If @Store = '8366' Set @MaxFloatCount = 4
	If @Store = '8367' Set @MaxFloatCount = 5
	If @Store = '8368' Set @MaxFloatCount = 5
	If @Store = '8370' Set @MaxFloatCount = 5
	If @Store = '8371' Set @MaxFloatCount = 9
	If @Store = '8372' Set @MaxFloatCount = 5
	If @Store = '8374' Set @MaxFloatCount = 4
	If @Store = '8377' Set @MaxFloatCount = 5
	If @Store = '8381' Set @MaxFloatCount = 5
	If @Store = '8382' Set @MaxFloatCount = 4
	If @Store = '8385' Set @MaxFloatCount = 5
	If @Store = '8404' Set @MaxFloatCount = 5
	If @Store = '8405' Set @MaxFloatCount = 5
	If @Store = '8406' Set @MaxFloatCount = 5
	If @Store = '8407' Set @MaxFloatCount = 5
	If @Store = '8409' Set @MaxFloatCount = 5
	If @Store = '8410' Set @MaxFloatCount = 5
	If @Store = '8411' Set @MaxFloatCount = 5
	If @Store = '8412' Set @MaxFloatCount = 6
	If @Store = '8413' Set @MaxFloatCount = 5
	If @Store = '8414' Set @MaxFloatCount = 5
	If @Store = '8415' Set @MaxFloatCount = 4
	If @Store = '8416' Set @MaxFloatCount = 5
	If @Store = '8417' Set @MaxFloatCount = 5
	If @Store = '8418' Set @MaxFloatCount = 4
	If @Store = '8422' Set @MaxFloatCount = 4
	If @Store = '8423' Set @MaxFloatCount = 5
	If @Store = '8428' Set @MaxFloatCount = 5
	If @Store = '8429' Set @MaxFloatCount = 5
	If @Store = '8430' Set @MaxFloatCount = 4
	If @Store = '8431' Set @MaxFloatCount = 5
	If @Store = '8434' Set @MaxFloatCount = 5
	If @Store = '8436' Set @MaxFloatCount = 5
	If @Store = '8437' Set @MaxFloatCount = 5
	If @Store = '8438' Set @MaxFloatCount = 5
	If @Store = '8441' Set @MaxFloatCount = 5
	If @Store = '8443' Set @MaxFloatCount = 5
	If @Store = '8444' Set @MaxFloatCount = 5
	If @Store = '8448' Set @MaxFloatCount = 4
	If @Store = '8449' Set @MaxFloatCount = 5
	If @Store = '8451' Set @MaxFloatCount = 4
	If @Store = '8452' Set @MaxFloatCount = 4
	If @Store = '8453' Set @MaxFloatCount = 4
	If @Store = '8454' Set @MaxFloatCount = 4
	If @Store = '8455' Set @MaxFloatCount = 4
	If @Store = '8456' Set @MaxFloatCount = 4
	If @Store = '8457' Set @MaxFloatCount = 4
	If @Store = '8458' Set @MaxFloatCount = 4
	If @Store = '8459' Set @MaxFloatCount = 4
	If @Store = '8460' Set @MaxFloatCount = 4
	If @Store = '8461' Set @MaxFloatCount = 5
	If @Store = '8464' Set @MaxFloatCount = 5
	If @Store = '8465' Set @MaxFloatCount = 5
	If @Store = '8466' Set @MaxFloatCount = 4
	If @Store = '8467' Set @MaxFloatCount = 4
	If @Store = '8468' Set @MaxFloatCount = 5
	If @Store = '8469' Set @MaxFloatCount = 5
	If @Store = '8471' Set @MaxFloatCount = 4
	If @Store = '8472' Set @MaxFloatCount = 4
	If @Store = '8473' Set @MaxFloatCount = 5
	If @Store = '8474' Set @MaxFloatCount = 5
	If @Store = '8475' Set @MaxFloatCount = 4
	If @Store = '8479' Set @MaxFloatCount = 5
	If @Store = '8480' Set @MaxFloatCount = 5
	If @Store = '8481' Set @MaxFloatCount = 5
	If @Store = '8482' Set @MaxFloatCount = 5
	If @Store = '8483' Set @MaxFloatCount = 5
	If @Store = '8485' Set @MaxFloatCount = 5
	If @Store = '8486' Set @MaxFloatCount = 5
	If @Store = '8488' Set @MaxFloatCount = 5
	If @Store = '8495' Set @MaxFloatCount = 5
	If @Store = '8497' Set @MaxFloatCount = 5
	If @Store = '8716' Set @MaxFloatCount = 1
	If @Store = '8717' Set @MaxFloatCount = 1
	If @Store = '8718' Set @MaxFloatCount = 1
	If @Store = '8719' Set @MaxFloatCount = 1
	If @Store = '8720' Set @MaxFloatCount = 1
	If @Store = '8721' Set @MaxFloatCount = 1
	If @Store = '8722' Set @MaxFloatCount = 1
	If @Store = '8723' Set @MaxFloatCount = 2
	If @Store = '8726' Set @MaxFloatCount = 1
	If @Store = '8727' Set @MaxFloatCount = 1
	If @Store = '8728' Set @MaxFloatCount = 1
	If @Store = '8729' Set @MaxFloatCount = 1
	If @Store = '8730' Set @MaxFloatCount = 1
	If @Store = '8731' Set @MaxFloatCount = 1
	If @Store = '8801' Set @MaxFloatCount = 1
	If @Store = '8804' Set @MaxFloatCount = 1
	If @Store = '8805' Set @MaxFloatCount = 1
	If @Store = '8807' Set @MaxFloatCount = 5
	If @Store = '8808' Set @MaxFloatCount = 1
	If @Store = '8809' Set @MaxFloatCount = 1
	If @Store = '8810' Set @MaxFloatCount = 1
	If @Store = '8811' Set @MaxFloatCount = 1
	If @Store = '8812' Set @MaxFloatCount = 1
	If @Store = '8813' Set @MaxFloatCount = 1
	If @Store = '8902' Set @MaxFloatCount = 5
	If @Store = '8920' Set @MaxFloatCount = 5
	If @Store = '8950' Set @MaxFloatCount = 5
	If @Store = '8951' Set @MaxFloatCount = 5
	If @Store = '8952' Set @MaxFloatCount = 4
	If @Store = '8971' Set @MaxFloatCount = 5
	If @Store = '8972' Set @MaxFloatCount = 5
	If @Store = '8973' Set @MaxFloatCount = 5
	If @Store = '8974' Set @MaxFloatCount = 5
	If @Store = '8976' Set @MaxFloatCount = 5
	If @Store = '8999' Set @MaxFloatCount = 5

	-- Catch All
	If @MaxFloatCount Is Null Set @MaxFloatCount = 5
	
	INSERT INTO dbo.Parameters (
		[ParameterID],
		[Description],
		[StringValue],
		[LongValue],
		[BooleanValue],
		[DecimalValue],
		[ValueType])
	VALUES (51, 'Max Float Count', NULL, @MaxFloatCount, 0, NULL, 1)	
END

If @@Error = 0
   Print 'Success: Insert into table Parameters for US10650 has been deployed successfully'
Else
   Print 'Failure: Insert into table Parameters for US10650 has not been deployed successfully'
GO